--- /Users/frank/tmp/carto-1.2.0/package.json	2019-01-28 18:19:04
+++ package.json	2025-05-13 17:04:48
@@ -33,24 +33,29 @@
     "node": ">=0.5.x"
   },
   "dependencies": {
-    "chroma-js": "~1.3.5",
-    "hsluv": "~0.0.1",
-    "js-yaml": "~3.12.0",
-    "lodash": "~4.17.10",
+    "chroma-js": "~3.1.2",
+    "hsluv": "~0.0.3",
+    "js-yaml": "~4.1.0",
+    "lodash": "^4.17.21",
     "mapnik-reference": "~8.10.0",
-    "semver": "~5.6.0",
-    "yargs": "~12.0.1"
+    "semver": "^7.7.1",
+    "yargs": "^17.7.2"
   },
   "devDependencies": {
-    "coveralls": "~3.0.0",
-    "istanbul": "~0.4.5",
-    "mocha": "~5.2.0",
-    "mocha-eslint": "^4.0.0",
-    "sax": "~1.2.1"
+    "coveralls": "~3.1.1",
+    "eslint": "^9.10.0",
+    "mocha": "^11.2.2",
+    "mocha-lcov-reporter": "^1.3.0",
+    "nyc": "^17.1.0",
+    "rimraf": "^6.0.1",
+    "sax": "^1.4.1"
   },
   "scripts": {
-    "pretest": "npm install && mocha -R spec --timeout 50000 -f jslint",
-    "test": "mocha -R spec --timeout 50000 -i -f jslint",
-    "coverage": "istanbul cover ./node_modules/.bin/_mocha -- -R spec --timeout 50000 -i -f jslint && coveralls < ./coverage/lcov.info"
+    "clean": "rimraf coverage .nyc_output",
+    "lint": "eslint ./bin/carto ./lib/**/*.js ./test/**/*.js",
+    "pretest": "npm install && npm run lint",
+    "test": "mocha -R spec --timeout=50000",
+    "precoverage": "npm run clean && nyc --reporter=html --reporter=text-summary mocha -R spec --timeout=50000",
+    "coverage": "nyc report --reporter=text-lcov | coveralls"
   }
 }
